package com.jay.monitor.data.server.models.request.trace;

import javax.persistence.Column;
import java.util.Date;

/**
 * @Module mq请求参数
 * @Description mq请求参数
 * @Author liukaixiong
 * @Date 2021/1/12 16:46
 */
public class MQRequest extends PageRequest {

    /**
     * 主键名称
     */
    @Column
    private Integer id;

    /**
     * 应用名称
     */
    private String applicationName;

    /**
     * 应用地址
     */
    private String applicationIp;

    /**
     * mq类型
     */
    private String mqType;

    /**
     * 执行类型  producer/consumer
     */
    private String invokeType;

    /**
     * 订阅主题
     */
    private String topic;

    /**
     * 分区名称
     */
    private String partitionName;

    /**
     * 消息编号
     */
    private String msgId;

    /**
     * 应用监控组
     */
    private String groupName;

    /**
     * 应用监控key
     */
    private String groupKeyName;

    /**
     * 数据编号
     */
    private String dataId;

    /**
     * 根日志编号
     */
    private String rootLogId;

    /**
     * 上级日志编号
     */
    private String parentLogId;

    /**
     * 日志编号
     */
    private String logId;

    /**
     * 状态1：正常消息 -1异常消息
     */
    private Integer status;

    /**
     * 请求时长
     */
    private Long requestTime;

    /**
     * 数据来源时间
     */
    private Date sourceTime;

    /**
     * 时间时间
     */
    private Date createdTime;

    /**
     * 参数内容
     */
    private String jsonContent;

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public Long getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getApplicationIp() {
        return applicationIp;
    }

    public void setApplicationIp(String applicationIp) {
        this.applicationIp = applicationIp;
    }

    public String getMqType() {
        return mqType;
    }

    public void setMqType(String mqType) {
        this.mqType = mqType;
    }

    public String getInvokeType() {
        return invokeType;
    }

    public void setInvokeType(String invokeType) {
        this.invokeType = invokeType;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }


    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getRootLogId() {
        return rootLogId;
    }

    public void setRootLogId(String rootLogId) {
        this.rootLogId = rootLogId;
    }

    public String getParentLogId() {
        return parentLogId;
    }

    public void setParentLogId(String parentLogId) {
        this.parentLogId = parentLogId;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSourceTime() {
        return sourceTime;
    }

    public void setSourceTime(Date sourceTime) {
        this.sourceTime = sourceTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getGroupKeyName() {
        return groupKeyName;
    }

    public void setGroupKeyName(String groupKeyName) {
        this.groupKeyName = groupKeyName;
    }
}
